Subject: Re: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Oct 2008 20:24:36 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>,
>         <[email-masked]>
> Date: Fri, 17 Oct 2008 09:21:16 -0700
> 
> > Anyway, does the problem go away if you visit the file with
> > 
> >   "C-x RET c utf-8 RET C-x C-f vline.el RET"
> > 
> > before evaluating it?
> 
> Yes and no. I did `C-x RET c utf-8 RET C-x C-f vline.el RET'. If I then do `M-x
> load-file RET', then I get the same error. However, if instead of `M-x load-file
> RET' I use `M-x eval-buffer RET', then I don't get the error.

I meant the latter, sorry for another vague request.

> > If this does the trick, then please talk to the author and ask him to
> > include an explicit coding: cookie in the file.
> 
> I can do that, if you tell me exactly what to tell him needs to be done.

Add a "coding: utf-8" cookie on the first line of the file.  See the
beginning of calendar/icalendar.el for an example.

> However, is it normal that Emacs 23 raises an error if the encoding is wrong?
> Emacs 22 does not raise any error here.

I don't know.  Perhaps Handa-san can tell if there's a better way of
handling this particular case, without a need for a coding cookie.